<script setup>
useHead({
  link: [
    { rel: 'stylesheet', href: '/css/pages/login-register-lock.css' },
  ],
})
definePageMeta({
  auth: {
    unauthenticatedOnly: true,
  },
})

const username = ref('')
const password = ref('')
const { signIn } = useAuth()

const login = () => {
  try {
    signIn({ username: username.value , password: password.value }, { callbackUrl: '/' })
  } catch (error) {
    
  }
}
</script>

<template>
  <div>
    <section id="wrapper">
      <div
        class="login-register"
        style="
          background-image: url(/login-register.jpg);
        "
      >
        <div class="login-box card">
          <div class="card-body">
            <form
              class="form-horizontal form-material"
              @submit.prevent="login()"
            >
              <h3 class="text-center m-b-20">Sign In</h3>
              <div class="form-group">
                <div class="col-xs-12">
                  <input
                    class="form-control"
                    type="text"
                    required
                    placeholder="Username"
                    v-model="username"
                  />
                </div>
              </div>
              <div class="form-group">
                <div class="col-xs-12">
                  <input
                    class="form-control"
                    type="password"
                    required
                    placeholder="Password"
                    v-model="password"
                  />
                </div>
              </div>
              <div class="form-group row">
                <div class="col-md-12">
                  <div class="d-flex no-block align-items-center">
                    <div class="form-check">
                      <input
                        type="checkbox"
                        class="form-check-input"
                        id="customCheck1"
                      />
                      <label class="form-check-label" for="customCheck1"
                        >Remember me</label
                      >
                    </div>
                    <div class="ms-auto">
                      <a
                        href="javascript:void(0)"
                        id="to-recover"
                        class="text-muted"
                        ><i class="fas fa-lock m-r-5"></i> Forgot pwd?</a
                      >
                    </div>
                  </div>
                </div>
              </div>
              <div class="form-group text-center">
                <div class="col-xs-12 p-b-20">
                  <button
                    class="btn w-100 btn-lg btn-info btn-rounded text-white"
                    type="submit"
                  >
                    Log In
                  </button>
                </div>
              </div>
              <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12 m-t-10 text-center">
                  <div class="social">
                    <button
                      class="btn btn-facebook"
                      data-bs-toggle="tooltip"
                      title="Login with Facebook"
                    >
                      <i aria-hidden="true" class="fab fa-facebook-f"></i>
                    </button>
                    <button
                      class="btn btn-googleplus"
                      data-bs-toggle="tooltip"
                      title="Login with Google"
                    >
                      <i aria-hidden="true" class="fab fa-google-plus-g"></i>
                    </button>
                  </div>
                </div>
              </div>
              <div class="form-group m-b-0">
                <div class="col-sm-12 text-center">
                  Don't have an account?
                  <a href="pages-register.html" class="text-info m-l-5"
                    ><b>Sign Up</b></a
                  >
                </div>
              </div>
            </form>
            <form class="form-horizontal" id="recoverform" action="index.html">
              <div class="form-group">
                <div class="col-xs-12">
                  <h3>Recover Password</h3>
                  <p class="text-muted">
                    Enter your Email and instructions will be sent to you!
                  </p>
                </div>
              </div>
              <div class="form-group">
                <div class="col-xs-12">
                  <input
                    class="form-control"
                    type="text"
                    required=""
                    placeholder="Email"
                  />
                </div>
              </div>
              <div class="form-group text-center m-t-20">
                <div class="col-xs-12">
                  <button
                    class="btn btn-primary btn-lg w-100 text-uppercase waves-effect waves-light"
                    type="submit"
                  >
                    Reset
                  </button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </section>
  </div>
</template>
